Learn about Centmin Mod LEMP Stack today
Become a Member

Updating OpenSSL 1.0.1i for Centmin Mod [discussion]

Discussion in 'System Administration' started by eva2000, Aug 7, 2014.

  1. eva2000

    eva2000 Administrator Staff Member

    29,022
    6,586
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,776
    Local Time:
    6:23 PM
    Nginx 1.13.x
    MariaDB 5.5
    Discussion thread for OpenSSL 1.0.1i updating for Centmin Mod

    Securiy fix details http://www.openssl.org/news/secadv_20140806.txt

     
    Last edited: Aug 7, 2014
  2. RoldanLT

    RoldanLT Well-Known Member

    3,829
    929
    113
    May 25, 2014
    Phillipines
    Ratings:
    +1,258
    Local Time:
    4:23 PM
    1.11
    10.2
    Thanks for the heads up :)
    Code:
    # nginx -V
    nginx version: nginx/1.7.4
    TLS SNI support enabled
    configure arguments: --with-cc-opt='-I/svr-setup/staticlibssl/include -I/usr/include' --with-ld-opt='-L/svr-setup/staticlibssl/lib -Wl,-rpath -lssl -lcrypto -ldl -lz' --sbin-path=/usr/local/sbin/nginx --conf-path=/usr/local/nginx/conf/nginx.conf --with-http_ssl_module --with-http_gzip_static_module --with-http_stub_status_module --with-http_sub_module --with-http_addition_module --with-http_image_filter_module --with-http_secure_link_module --with-http_flv_module --with-http_realip_module --with-openssl-opt=enable-tlsext --add-module=../ngx-fancyindex-ngx-fancyindex --add-module=../ngx_cache_purge-2.1 --add-module=../headers-more-nginx-module-0.25 --add-module=../nginx-accesskey-2.0.3 --add-module=../nginx-http-concat-master --with-http_dav_module --add-module=../nginx-dav-ext-module-0.0.3 --with-openssl=../openssl-1.0.1i --with-libatomic --with-pcre=../pcre-8.35 --with-pcre-jit --with-http_spdy_module --add-module=../ngx_pagespeed-release-1.8.31.4-beta
    
     
    • Like Like x 1
  3. RoldanLT

    RoldanLT Well-Known Member

    3,829
    929
    113
    May 25, 2014
    Phillipines
    Ratings:
    +1,258
    Local Time:
    4:23 PM
    1.11
    10.2
    Waiting for Floren to update his repo for the system :)
     
  4. eva2000

    eva2000 Administrator Staff Member

    29,022
    6,586
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,776
    Local Time:
    6:23 PM
    Nginx 1.13.x
    MariaDB 5.5
    Yeah waiting game either way, Redhat, CentOS, Axivo etc - for YUM packages, they all will usually lag behind direct from the source tarball downloads :)
     
  5. eva2000

    eva2000 Administrator Staff Member

    29,022
    6,586
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,776
    Local Time:
    6:23 PM
    Nginx 1.13.x
    MariaDB 5.5
    Might work on an OpenSSL version checker for Nginx upgrade routines, similar to PHP version checker I have been playing with at PHP - PHP 5.4.31 Released | Centmin Mod Community

    Code:
    /root/tools/checkopenssl.sh        
    latest OpenSSL version openssl-1.0.1i.tar.gz already downloaded
    Code:
    /root/tools/checkopenssl.sh       
    newer OpenSSL version exists. Downloading...
    2014-08-08 01:24:13 URL:http://www.openssl.org/source/openssl-1.0.1i.tar.gz [4422117/4422117] -> "openssl-1.0.1i.tar.gz" [1]
     
  6. eva2000

    eva2000 Administrator Staff Member

    29,022
    6,586
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,776
    Local Time:
    6:23 PM
    Nginx 1.13.x
    MariaDB 5.5
    • Like Like x 1
  7. eva2000

    eva2000 Administrator Staff Member

    29,022
    6,586
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,776
    Local Time:
    6:23 PM
    Nginx 1.13.x
    MariaDB 5.5
    For folks on Centmin Mod 1.2.3-eva2000.07 and higher, Axivo's YUM Repo is installed by default for 64bit OS systems only and is disabled by default. You can try updating to Axivo's OpenSSL 1.0.1i version with this command
    Code:
    yum -y --enablerepo=axivo install openssl --disableplugin=priorities
    
    To check if OpenSSL 1.0.1i was installed

    Code:
    yum -q list openssl --enablerepo=axivo --disableplugin=priorities          
    Installed Packages
    openssl.x86_64                                                              1:1.0.1i-1.el6                                                              @axivo
    
    For example on test CentOS 6.5 64bit system

    Code:
    yum -y --enablerepo=axivo install openssl --disableplugin=priorities
    Loaded plugins: downloadonly, fastestmirror
    Determining fastest mirrors
    epel/metalink                                                                                                                          | 3.5 kB     00:00    
     * base: centos.mirror.serversaustralia.com.au
     * epel: mirror.overthewire.com.au
     * extras: centos.mirror.crucial.com.au
     * rpmforge: mirror.web24.net.au
     * updates: centos.mirror.crucial.com.au
    axivo                                                                                                                                  | 2.9 kB     00:00    
    axivo/primary_db                                                                                                                       |  99 kB     00:01    
    base                                                                                                                                   | 3.7 kB     00:00    
    epel                                                                                                                                   | 4.4 kB     00:00    
    epel/primary_db                                                                                                                        | 6.3 MB     00:01    
    extras                                                                                                                                 | 3.4 kB     00:00    
    mariadb                                                                                                                                | 1.9 kB     00:00    
    mariadb/primary_db                                                                                                                     |  15 kB     00:00 rpmforge                                                                                                                               | 1.9 kB     00:00    
    updates                                                                                                                                | 3.4 kB     00:00    
    updates/primary_db                                                                                                                     | 4.7 MB     00:01    
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package openssl.x86_64 0:1.0.1e-16.el6_5.14 will be updated
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: ntpdate-4.2.6p5-1.el6.centos.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: MariaDB-shared-5.5.38-1.el6.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: libssh2-1.4.2-1.el6.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: 1:net-snmp-utils-5.5-49.el6_5.1.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: libarchive-2.8.3-4.el6_2.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: ntp-4.2.6p5-1.el6.centos.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: fipscheck-1.2.0-7.el6.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: MariaDB-server-5.5.38-1.el6.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: 1:openssl-1.0.1i-1.el6.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: 1:net-snmp-libs-5.5-49.el6_5.1.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: openssl-devel-1.0.1e-16.el6_5.14.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: 1:net-snmp-5.5-49.el6_5.1.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: cyrus-sasl-2.1.23-13.el6_3.1.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: wget-1.12-1.11.el6_5.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: 2:postfix-2.6.6-6.el6_5.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: lynx-2.8.6-27.el6.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: openssh-server-5.3p1-94.el6.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: 32:bind-libs-9.8.2-0.23.rc1.el6_5.1.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: 32:bind-utils-9.8.2-0.23.rc1.el6_5.1.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: perl-DBD-MySQL-4.013-3.el6.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: git-1.7.1-3.el6_4.1.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: libc-client-2007e-11.el6.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: MariaDB-client-5.5.38-1.el6.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: python-libs-2.6.6-52.el6.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: openssh-5.3p1-94.el6.x86_64
    --> Processing Dependency: libcrypto.so.10()(64bit) for package: openssh-clients-5.3p1-94.el6.x86_64
    --> Processing Dependency: libcrypto.so.10(OPENSSL_1.0.1)(64bit) for package: 1:net-snmp-libs-5.5-49.el6_5.1.x86_64
    --> Processing Dependency: libcrypto.so.10(OPENSSL_1.0.1)(64bit) for package: 1:openssl-1.0.1i-1.el6.x86_64
    --> Processing Dependency: libcrypto.so.10(OPENSSL_1.0.1)(64bit) for package: openssh-clients-5.3p1-94.el6.x86_64
    --> Processing Dependency: libcrypto.so.10(OPENSSL_1.0.1)(64bit) for package: ntp-4.2.6p5-1.el6.centos.x86_64
    --> Processing Dependency: libcrypto.so.10(OPENSSL_1.0.1)(64bit) for package: 2:postfix-2.6.6-6.el6_5.x86_64
    --> Processing Dependency: libcrypto.so.10(OPENSSL_1.0.1)(64bit) for package: openssh-5.3p1-94.el6.x86_64
    --> Processing Dependency: libcrypto.so.10(OPENSSL_1.0.1)(64bit) for package: ntpdate-4.2.6p5-1.el6.centos.x86_64
    --> Processing Dependency: libcrypto.so.10(OPENSSL_1.0.1)(64bit) for package: openssh-server-5.3p1-94.el6.x86_64
    --> Processing Dependency: libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit) for package: 1:openssl-1.0.1i-1.el6.x86_64
    --> Processing Dependency: libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit) for package: 2:postfix-2.6.6-6.el6_5.x86_64
    --> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: 1:net-snmp-libs-5.5-49.el6_5.1.x86_64
    --> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: 1:openssl-1.0.1i-1.el6.x86_64
    --> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: ntp-4.2.6p5-1.el6.centos.x86_64
    --> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: ntpdate-4.2.6p5-1.el6.centos.x86_64
    --> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: openssh-clients-5.3p1-94.el6.x86_64
    --> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: wget-1.12-1.11.el6_5.x86_64
    --> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: 2:postfix-2.6.6-6.el6_5.x86_64
    --> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: openssh-5.3p1-94.el6.x86_64
    --> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: python-libs-2.6.6-52.el6.x86_64
    --> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: openssh-server-5.3p1-94.el6.x86_64
    --> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: 32:bind-libs-9.8.2-0.23.rc1.el6_5.1.x86_64
    --> Processing Dependency: libcrypto.so.10(libcrypto.so.10)(64bit) for package: 1:net-snmp-utils-5.5-49.el6_5.1.x86_64
    --> Processing Dependency: libssl.so.10()(64bit) for package: 1:openssl-1.0.1i-1.el6.x86_64
    --> Processing Dependency: libssl.so.10()(64bit) for package: perl-DBD-MySQL-4.013-3.el6.x86_64
    --> Processing Dependency: libssl.so.10()(64bit) for package: openssl-devel-1.0.1e-16.el6_5.14.x86_64
    --> Processing Dependency: libssl.so.10()(64bit) for package: wget-1.12-1.11.el6_5.x86_64
    --> Processing Dependency: libssl.so.10()(64bit) for package: git-1.7.1-3.el6_4.1.x86_64
    --> Processing Dependency: libssl.so.10()(64bit) for package: MariaDB-shared-5.5.38-1.el6.x86_64
    --> Processing Dependency: libssl.so.10()(64bit) for package: libc-client-2007e-11.el6.x86_64
    --> Processing Dependency: libssl.so.10()(64bit) for package: MariaDB-client-5.5.38-1.el6.x86_64
    --> Processing Dependency: libssl.so.10()(64bit) for package: python-libs-2.6.6-52.el6.x86_64
    --> Processing Dependency: libssl.so.10()(64bit) for package: lynx-2.8.6-27.el6.x86_64
    --> Processing Dependency: libssl.so.10()(64bit) for package: libssh2-1.4.2-1.el6.x86_64
    --> Processing Dependency: libssl.so.10()(64bit) for package: 2:postfix-2.6.6-6.el6_5.x86_64
    --> Processing Dependency: libssl.so.10()(64bit) for package: MariaDB-server-5.5.38-1.el6.x86_64
    --> Processing Dependency: libssl.so.10(libssl.so.10)(64bit) for package: python-libs-2.6.6-52.el6.x86_64
    --> Processing Dependency: libssl.so.10(libssl.so.10)(64bit) for package: 2:postfix-2.6.6-6.el6_5.x86_64
    --> Processing Dependency: libssl.so.10(libssl.so.10)(64bit) for package: 1:openssl-1.0.1i-1.el6.x86_64
    --> Processing Dependency: libssl.so.10(libssl.so.10)(64bit) for package: wget-1.12-1.11.el6_5.x86_64
    --> Processing Dependency: openssl = 1.0.1e-16.el6_5.14 for package: openssl-devel-1.0.1e-16.el6_5.14.x86_64
    ---> Package openssl.x86_64 1:1.0.1i-1.el6 will be an update
    --> Running transaction check
    ---> Package MariaDB-client.x86_64 0:5.5.38-1.el6 will be updated
    ---> Package MariaDB-client.x86_64 0:5.5.39-1.el6 will be an update
    ---> Package MariaDB-server.x86_64 0:5.5.38-1.el6 will be updated
    ---> Package MariaDB-server.x86_64 0:5.5.39-1.el6 will be an update
    ---> Package MariaDB-shared.x86_64 0:5.5.38-1.el6 will be updated
    ---> Package MariaDB-shared.x86_64 0:5.5.39-1.el6 will be an update
    ---> Package openssl.x86_64 0:1.0.1e-16.el6_5.14 will be obsoleted
    ---> Package openssl-devel.x86_64 0:1.0.1e-16.el6_5.14 will be updated
    ---> Package openssl-devel.x86_64 1:1.0.1i-1.el6 will be an update
    ---> Package openssl-libs.x86_64 1:1.0.1i-1.el6 will be obsoleting
    ---> Package postfix.x86_64 2:2.6.6-6.el6_5 will be updated
    --> Processing Dependency: postfix = 2:2.6.6-6.el6_5 for package: 2:postfix-perl-scripts-2.6.6-6.el6_5.x86_64
    ---> Package postfix.x86_64 2:2.11.1-1.el6 will be an update
    --> Processing Dependency: libpq.so.5()(64bit) for package: 2:postfix-2.11.1-1.el6.x86_64
    --> Processing Dependency: libpcre.so.1()(64bit) for package: 2:postfix-2.11.1-1.el6.x86_64
    --> Running transaction check
    ---> Package pcre.x86_64 0:7.8-6.el6 will be updated
    --> Processing Dependency: libpcre.so.0()(64bit) for package: pcre-devel-7.8-6.el6.x86_64
    --> Processing Dependency: libpcre.so.0()(64bit) for package: grep-2.6.3-4.el6_5.1.x86_64
    --> Processing Dependency: libpcre.so.0()(64bit) for package: less-436-10.el6.x86_64
    --> Processing Dependency: pcre = 7.8-6.el6 for package: pcre-devel-7.8-6.el6.x86_64
    ---> Package pcre.x86_64 0:8.35-1.el6 will be an update
    ---> Package postfix-perl-scripts.x86_64 2:2.6.6-6.el6_5 will be updated
    ---> Package postfix-perl-scripts.x86_64 2:2.11.1-1.el6 will be an update
    ---> Package postgresql-libs.x86_64 0:8.4.20-1.el6_5 will be installed
    --> Running transaction check
    ---> Package libpcre.x86_64 0:8.21-1.el6 will be installed
    ---> Package pcre-devel.x86_64 0:7.8-6.el6 will be updated
    ---> Package pcre-devel.x86_64 0:8.35-1.el6 will be an update
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ==============================================================================================================================================================
     Package                                       Arch                            Version                                 Repository                        Size
    ==============================================================================================================================================================
    Installing:
     openssl-libs                                  x86_64                          1:1.0.1i-1.el6                          axivo                            962 k
         replacing  openssl.x86_64 1.0.1e-16.el6_5.14
    Updating:
     openssl                                       x86_64                          1:1.0.1i-1.el6                          axivo                            583 k
    Installing for dependencies:
     libpcre                                       x86_64                          8.21-1.el6                              axivo                            443 k
     postgresql-libs                               x86_64                          8.4.20-1.el6_5                          updates                          201 k
    Updating for dependencies:
     MariaDB-client                                x86_64                          5.5.39-1.el6                            mariadb                           10 M
     MariaDB-server                                x86_64                          5.5.39-1.el6                            mariadb                           43 M
     MariaDB-shared                                x86_64                          5.5.39-1.el6                            mariadb                          1.1 M
     openssl-devel                                 x86_64                          1:1.0.1i-1.el6                          axivo                            1.1 M
     pcre                                          x86_64                          8.35-1.el6                              axivo                            1.4 M
     pcre-devel                                    x86_64                          8.35-1.el6                              axivo                            218 k
     postfix                                       x86_64                          2:2.11.1-1.el6                          axivo                            5.7 M
     postfix-perl-scripts                          x86_64                          2:2.11.1-1.el6                          axivo                             46 k
    
    Transaction Summary
    ==============================================================================================================================================================
    Install       3 Package(s)
    Upgrade       9 Package(s)
    
    Total download size: 65 M
    Downloading Packages:
    (1/12): MariaDB-5.5.39-centos6-x86_64-client.rpm                                                                                       |  10 MB     00:24    
    (2/12): MariaDB-5.5.39-centos6-x86_64-server.rpm                                                                                       |  43 MB     00:45    
    (3/12): MariaDB-5.5.39-centos6-x86_64-shared.rpm                                                                                       | 1.1 MB     00:01    
    (4/12): libpcre-8.21-1.el6.x86_64.rpm                                                                                                  | 443 kB     00:04    
    (5/12): openssl-1.0.1i-1.el6.x86_64.rpm                                                                                                | 583 kB     00:04    
    (6/12): openssl-devel-1.0.1i-1.el6.x86_64.rpm                                                                                          | 1.1 MB     00:05    
    (7/12): openssl-libs-1.0.1i-1.el6.x86_64.rpm                                                                                           | 962 kB     00:06    
    (8/12): pcre-8.35-1.el6.x86_64.rpm                                                                                                     | 1.4 MB     00:05    
    (9/12): pcre-devel-8.35-1.el6.x86_64.rpm                                                                                               | 218 kB     00:02    
    (10/12): postfix-2.11.1-1.el6.x86_64.rpm                                                                                               | 5.7 MB     00:12    
    (11/12): postfix-perl-scripts-2.11.1-1.el6.x86_64.rpm                                                                                  |  46 kB     00:00    
    (12/12): postgresql-libs-8.4.20-1.el6_5.x86_64.rpm                                                                                     | 201 kB     00:00    
    --------------------------------------------------------------------------------------------------------------------------------------------------------------
    Total                                                                                                                         553 kB/s |  65 MB     01:59    
    warning: rpmts_HdrFromFdno: Header V4 DSA/SHA1 Signature, key ID 64806737: NOKEY
    Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-AXIVO
    Importing GPG key 0x64806737:
     Userid : Axivo Inc. (axivo) <info@axivo.com>
     Package: axivo-release-6-1.noarch (installed)
     From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-AXIVO
    Running rpm_check_debug
    Running Transaction Test
    Transaction Test Succeeded
    Running Transaction
      Installing : 1:openssl-libs-1.0.1i-1.el6.x86_64                                                                                                        1/21 
      Updating   : pcre-8.35-1.el6.x86_64                                                                                                                    2/21 
      Installing : postgresql-libs-8.4.20-1.el6_5.x86_64                                                                                                     3/21 
      Updating   : MariaDB-client-5.5.39-1.el6.x86_64                                                                                                        4/21 
      Updating   : MariaDB-shared-5.5.39-1.el6.x86_64                                                                                                        5/21 
      Updating   : 2:postfix-2.11.1-1.el6.x86_64                                                                                                             6/21 
    warning: /etc/postfix/main.cf created as /etc/postfix/main.cf.rpmnew
      Updating   : 2:postfix-perl-scripts-2.11.1-1.el6.x86_64                                                                                                7/21 
      Updating   : MariaDB-server-5.5.39-1.el6.x86_64                                                                                                        8/21 
    warning: /etc/init.d/mysql saved as /etc/init.d/mysql.rpmsave
      Updating   : pcre-devel-8.35-1.el6.x86_64                                                                                                              9/21 
      Updating   : 1:openssl-devel-1.0.1i-1.el6.x86_64                                                                                                      10/21 
      Updating   : 1:openssl-1.0.1i-1.el6.x86_64                                                                                                            11/21 
      Installing : libpcre-8.21-1.el6.x86_64                                                                                                                12/21 
      Cleanup    : 2:postfix-perl-scripts-2.6.6-6.el6_5.x86_64                                                                                              13/21 
      Cleanup    : pcre-devel-7.8-6.el6.x86_64                                                                                                              14/21 
      Cleanup    : openssl-devel-1.0.1e-16.el6_5.14.x86_64                                                                                                  15/21 
      Cleanup    : 2:postfix-2.6.6-6.el6_5.x86_64                                                                                                           16/21 
      Cleanup    : MariaDB-server-5.5.38-1.el6.x86_64                                                                                                       17/21 
      Cleanup    : MariaDB-client-5.5.38-1.el6.x86_64                                                                                                       18/21 
    Shutting down MySQL. SUCCESS! 
    Starting MySQL. SUCCESS! 
      Cleanup    : MariaDB-shared-5.5.38-1.el6.x86_64                                                                                                       19/21 
      Cleanup    : openssl-1.0.1e-16.el6_5.14.x86_64                                                                                                        20/21 
      Cleanup    : pcre-7.8-6.el6.x86_64                                                                                                                    21/21 
      Verifying  : 1:openssl-devel-1.0.1i-1.el6.x86_64                                                                                                       1/21 
      Verifying  : 1:openssl-libs-1.0.1i-1.el6.x86_64                                                                                                        2/21 
      Verifying  : postgresql-libs-8.4.20-1.el6_5.x86_64                                                                                                     3/21 
      Verifying  : MariaDB-server-5.5.39-1.el6.x86_64                                                                                                        4/21 
      Verifying  : 2:postfix-2.11.1-1.el6.x86_64                                                                                                             5/21 
      Verifying  : pcre-devel-8.35-1.el6.x86_64                                                                                                              6/21 
      Verifying  : libpcre-8.21-1.el6.x86_64                                                                                                                 7/21 
      Verifying  : pcre-8.35-1.el6.x86_64                                                                                                                    8/21 
      Verifying  : 1:openssl-1.0.1i-1.el6.x86_64                                                                                                             9/21 
      Verifying  : MariaDB-client-5.5.39-1.el6.x86_64                                                                                                       10/21 
      Verifying  : MariaDB-shared-5.5.39-1.el6.x86_64                                                                                                       11/21 
      Verifying  : 2:postfix-perl-scripts-2.11.1-1.el6.x86_64                                                                                               12/21 
      Verifying  : MariaDB-shared-5.5.38-1.el6.x86_64                                                                                                       13/21 
      Verifying  : 2:postfix-perl-scripts-2.6.6-6.el6_5.x86_64                                                                                              14/21 
      Verifying  : MariaDB-server-5.5.38-1.el6.x86_64                                                                                                       15/21 
      Verifying  : pcre-devel-7.8-6.el6.x86_64                                                                                                              16/21 
      Verifying  : openssl-devel-1.0.1e-16.el6_5.14.x86_64                                                                                                  17/21 
      Verifying  : 2:postfix-2.6.6-6.el6_5.x86_64                                                                                                           18/21 
      Verifying  : openssl-1.0.1e-16.el6_5.14.x86_64                                                                                                        19/21 
      Verifying  : openssl-1.0.1e-16.el6_5.14.x86_64                                                                                                        20/21 
      Verifying  : pcre-7.8-6.el6.x86_64                                                                                                                    21/21 
      Verifying  : MariaDB-client-5.5.38-1.el6.x86_64                                                                                                       22/21 
    
    Installed:
      openssl-libs.x86_64 1:1.0.1i-1.el6                                                                                                                          
    
    Dependency Installed:
      libpcre.x86_64 0:8.21-1.el6                                             postgresql-libs.x86_64 0:8.4.20-1.el6_5                                            
    
    Updated:
      openssl.x86_64 1:1.0.1i-1.el6                                                                                                                              
    
    Dependency Updated:
      MariaDB-client.x86_64 0:5.5.39-1.el6 MariaDB-server.x86_64 0:5.5.39-1.el6 MariaDB-shared.x86_64 0:5.5.39-1.el6 openssl-devel.x86_64 1:1.0.1i-1.el6      
      pcre.x86_64 0:8.35-1.el6             pcre-devel.x86_64 0:8.35-1.el6       postfix.x86_64 2:2.11.1-1.el6        postfix-perl-scripts.x86_64 2:2.11.1-1.el6
    
    Replaced:
      openssl.x86_64 0:1.0.1e-16.el6_5.14                                                                                                                        
    
    Complete!
    
    If not using Axivo YUM repo or on 32bit OS systems, you'd need to wait for Redhat/CentOS provided OpenSSL 1.0.1e update which will have same naming convention 1.0.1e just with an incremented number on the end and then do
    Code:
    yum list openssl
    yum -y update openssl
    
     
    Last edited: Aug 8, 2014
    • Like Like x 1
  8. Floren

    Floren Active Member

    148
    76
    28
    Jun 6, 2014
    Ratings:
    +76
    Local Time:
    4:23 AM
    @eva2000, just curious, why the postgresql-libs install? Is it something needed by your build?
    I know AXIVO postfix 2.11 use it, did you encountered any weird deps?
     
    Last edited: Aug 8, 2014
  9. eva2000

    eva2000 Administrator Staff Member

    29,022
    6,586
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,776
    Local Time:
    6:23 PM
    Nginx 1.13.x
    MariaDB 5.5
    default CentOS uses postfix 2.6.6 so I guess postgresql-libs isn't installed out of the box ?

    see the dependency list

    Code:
    ===========================================================================
    Installing:
    openssl-libs                                  x86_64                          1:1.0.1i-1.el6                          axivo                            962 k
         replacing  openssl.x86_64 1.0.1e-16.el6_5.14
    Updating:
    openssl                                       x86_64                          1:1.0.1i-1.el6                          axivo                            583 k
    Installing for dependencies:
    libpcre                                       x86_64                          8.21-1.el6                              axivo                            443 k
    Updating for dependencies:
    MariaDB-client                                x86_64                          5.5.39-1.el6                            mariadb                           10 M
    MariaDB-server                                x86_64                          5.5.39-1.el6                            mariadb                           43 M
    MariaDB-shared                                x86_64                          5.5.39-1.el6                            mariadb                          1.1 M
    openssl-devel                                 x86_64                          1:1.0.1i-1.el6                          axivo                            1.1 M
    pcre                                          x86_64                          8.35-1.el6                              axivo                            1.4 M
    pcre-devel                                    x86_64                          8.35-1.el6                              axivo                            218 k
    postfix                                       x86_64                          2:2.11.1-1.el6                          axivo                            5.7 M
    postfix-perl-scripts                          x86_64                          2:2.11.1-1.el6                          axivo                             46 k
    
    Transaction Summary
    ==============================================================================================================================================================
    
     
  10. Floren

    Floren Active Member

    148
    76
    28
    Jun 6, 2014
    Ratings:
    +76
    Local Time:
    4:23 AM
    @eva2000, it should add automatically the postgresql-libs as dependency. At least it does it for me?
    Also, I don't like to add the -y switch because I want to see what packages are installed before I proceed. Sure you can revert it easy with yum history... but still. :)
     
  11. eva2000

    eva2000 Administrator Staff Member

    29,022
    6,586
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,776
    Local Time:
    6:23 PM
    Nginx 1.13.x
    MariaDB 5.5
    let me try again, reverting the server snapshot :D
     
  12. Floren

    Floren Active Member

    148
    76
    28
    Jun 6, 2014
    Ratings:
    +76
    Local Time:
    4:23 AM
    Use update, instead of install. You already have OpenSSL installed right?
     
  13. eva2000

    eva2000 Administrator Staff Member

    29,022
    6,586
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,776
    Local Time:
    6:23 PM
    Nginx 1.13.x
    MariaDB 5.5
    i tried update it couldn't find openssl and openssl version -a command not found heh

    as yes even with update postgresql-lib is installed.. updating guide above :D
    Code:
    ==============================================================================================================================================================
    Package                                       Arch                            Version                                 Repository                        Size
    ==============================================================================================================================================================
    Installing:
    openssl-libs                                  x86_64                          1:1.0.1i-1.el6                          axivo                            962 k
         replacing  openssl.x86_64 1.0.1e-16.el6_5.14
    Updating:
    openssl                                       x86_64                          1:1.0.1i-1.el6                          axivo                            583 k
    Installing for dependencies:
    libpcre                                       x86_64                          8.21-1.el6                              axivo                            443 k
    postgresql-libs                               x86_64                          8.4.20-1.el6_5                          updates                          201 k
    Updating for dependencies:
    MariaDB-client                                x86_64                          5.5.39-1.el6                            mariadb                           10 M
    MariaDB-server                                x86_64                          5.5.39-1.el6                            mariadb                           43 M
    MariaDB-shared                                x86_64                          5.5.39-1.el6                            mariadb                          1.1 M
    openssl-devel                                 x86_64                          1:1.0.1i-1.el6                          axivo                            1.1 M
    pcre                                          x86_64                          8.35-1.el6                              axivo                            1.4 M
    pcre-devel                                    x86_64                          8.35-1.el6                              axivo                            218 k
    postfix                                       x86_64                          2:2.11.1-1.el6                          axivo                            5.7 M
    postfix-perl-scripts                          x86_64                          2:2.11.1-1.el6                          axivo                             46 k
    
    Transaction Summary
    ==============================================================================================================================================================
    Install       3 Package(s)
    Upgrade       9 Package(s)
     
  14. Floren

    Floren Active Member

    148
    76
    28
    Jun 6, 2014
    Ratings:
    +76
    Local Time:
    4:23 AM
    Last edited: Aug 8, 2014
    • Like Like x 1
  15. eva2000

    eva2000 Administrator Staff Member

    29,022
    6,586
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,776
    Local Time:
    6:23 PM
    Nginx 1.13.x
    MariaDB 5.5
    try for third time then first time tried with update and it didn't install
     
  16. eva2000

    eva2000 Administrator Staff Member

    29,022
    6,586
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,776
    Local Time:
    6:23 PM
    Nginx 1.13.x
    MariaDB 5.5
    yum using update instead of install, doesn't install Axivo OpenSSL 1.0.1i it shows as installed but command is missing. If I use install instead of update it works.

    using update shows as installed but it isn't
    Code:
     yum -y --enablerepo=axivo update openssl --disableplugin=priorities     
    Loaded plugins: downloadonly, fastestmirror
    Determining fastest mirrors
    epel/metalink                                                                                                                          | 3.0 kB     00:00   
    * base: mirror.ventraip.net.au
    * epel: mirror.web24.net.au
    * extras: mirror.ventraip.net.au
    * rpmforge: mirror.ventraip.net.au
    * updates: mirror.ventraip.net.au
    axivo                                                                                                                                  | 2.9 kB     00:00   
    axivo/primary_db                                                                                                                       |  99 kB     00:01   
    base                                                                                                                                   | 3.7 kB     00:00   
    epel                                                                                                                                   | 4.4 kB     00:00   
    epel/primary_db                                                                                                                        | 6.3 MB     00:03   
    extras                                                                                                                                 | 3.4 kB     00:00   
    mariadb                                                                                                                                | 1.9 kB     00:00   
    mariadb/primary_db                                                                                                                     |  15 kB     00:00   
    rpmforge                                                                                                                               | 1.9 kB     00:00   
    updates                                                                                                                                | 3.4 kB     00:00   
    updates/primary_db                                                                                                                     | 4.7 MB     00:02   
    Setting up Update Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package openssl.x86_64 0:1.0.1e-16.el6_5.14 will be obsoleted
    --> Processing Dependency: openssl for package: 2:postfix-2.6.6-6.el6_5.x86_64
    --> Processing Dependency: openssl = 1.0.1e-16.el6_5.14 for package: openssl-devel-1.0.1e-16.el6_5.14.x86_64
    ---> Package openssl-libs.x86_64 1:1.0.1i-1.el6 will be obsoleting
    --> Running transaction check
    ---> Package openssl-devel.x86_64 0:1.0.1e-16.el6_5.14 will be updated
    ---> Package openssl-devel.x86_64 1:1.0.1i-1.el6 will be an update
    ---> Package postfix.x86_64 2:2.6.6-6.el6_5 will be updated
    --> Processing Dependency: postfix = 2:2.6.6-6.el6_5 for package: 2:postfix-perl-scripts-2.6.6-6.el6_5.x86_64
    ---> Package postfix.x86_64 2:2.11.1-1.el6 will be an update
    --> Processing Dependency: libpq.so.5()(64bit) for package: 2:postfix-2.11.1-1.el6.x86_64
    --> Processing Dependency: libpcre.so.1()(64bit) for package: 2:postfix-2.11.1-1.el6.x86_64
    --> Running transaction check
    ---> Package pcre.x86_64 0:7.8-6.el6 will be updated
    --> Processing Dependency: libpcre.so.0()(64bit) for package: pcre-devel-7.8-6.el6.x86_64
    --> Processing Dependency: libpcre.so.0()(64bit) for package: grep-2.6.3-4.el6_5.1.x86_64
    --> Processing Dependency: libpcre.so.0()(64bit) for package: less-436-10.el6.x86_64
    --> Processing Dependency: pcre = 7.8-6.el6 for package: pcre-devel-7.8-6.el6.x86_64
    ---> Package pcre.x86_64 0:8.35-1.el6 will be an update
    ---> Package postfix-perl-scripts.x86_64 2:2.6.6-6.el6_5 will be updated
    ---> Package postfix-perl-scripts.x86_64 2:2.11.1-1.el6 will be an update
    ---> Package postgresql-libs.x86_64 0:8.4.20-1.el6_5 will be installed
    --> Running transaction check
    ---> Package libpcre.x86_64 0:8.21-1.el6 will be installed
    ---> Package pcre-devel.x86_64 0:7.8-6.el6 will be updated
    ---> Package pcre-devel.x86_64 0:8.35-1.el6 will be an update
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ==============================================================================================================================================================
    Package                                       Arch                            Version                                 Repository                        Size
    ==============================================================================================================================================================
    Installing:
    openssl-libs                                  x86_64                          1:1.0.1i-1.el6                          axivo                            962 k
         replacing  openssl.x86_64 1.0.1e-16.el6_5.14
    Installing for dependencies:
    libpcre                                       x86_64                          8.21-1.el6                              axivo                            443 k
    postgresql-libs                               x86_64                          8.4.20-1.el6_5                          updates                          201 k
    Updating for dependencies:
    openssl-devel                                 x86_64                          1:1.0.1i-1.el6                          axivo                            1.1 M
    pcre                                          x86_64                          8.35-1.el6                              axivo                            1.4 M
    pcre-devel                                    x86_64                          8.35-1.el6                              axivo                            218 k
    postfix                                       x86_64                          2:2.11.1-1.el6                          axivo                            5.7 M
    postfix-perl-scripts                          x86_64                          2:2.11.1-1.el6                          axivo                             46 k
    
    Transaction Summary
    ==============================================================================================================================================================
    Install       3 Package(s)
    Upgrade       5 Package(s)
    
    Total download size: 10 M
    Downloading Packages:
    (1/8): libpcre-8.21-1.el6.x86_64.rpm                                                                                                   | 443 kB     00:03   
    (2/8): openssl-devel-1.0.1i-1.el6.x86_64.rpm                                                                                           | 1.1 MB     00:05   
    (3/8): openssl-libs-1.0.1i-1.el6.x86_64.rpm                                                                                            | 962 kB     00:06   
    (4/8): pcre-8.35-1.el6.x86_64.rpm                                                                                                      | 1.4 MB     00:06   
    (5/8): pcre-devel-8.35-1.el6.x86_64.rpm                                                                                                | 218 kB     00:02   
    (6/8): postfix-2.11.1-1.el6.x86_64.rpm                                                                                                 | 5.7 MB     00:10   
    (7/8): postfix-perl-scripts-2.11.1-1.el6.x86_64.rpm                                                                                    |  46 kB     00:00   
    (8/8): postgresql-libs-8.4.20-1.el6_5.x86_64.rpm                                                                                       | 201 kB     00:00   
    --------------------------------------------------------------------------------------------------------------------------------------------------------------
    Total                                                                                                                         253 kB/s |  10 MB     00:40   
    warning: rpmts_HdrFromFdno: Header V4 DSA/SHA1 Signature, key ID 64806737: NOKEY
    Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-AXIVO
    Importing GPG key 0x64806737:
    Userid : Axivo Inc. (axivo) <info@axivo.com>
    Package: axivo-release-6-1.noarch (installed)
    From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-AXIVO
    Running rpm_check_debug
    Running Transaction Test
    Transaction Test Succeeded
    Running Transaction
      Installing : 1:openssl-libs-1.0.1i-1.el6.x86_64                                                                                                        1/14
      Updating   : pcre-8.35-1.el6.x86_64                                                                                                                    2/14
      Installing : postgresql-libs-8.4.20-1.el6_5.x86_64                                                                                                     3/14
      Updating   : 2:postfix-2.11.1-1.el6.x86_64                                                                                                             4/14
    warning: /etc/postfix/main.cf created as /etc/postfix/main.cf.rpmnew
      Updating   : 2:postfix-perl-scripts-2.11.1-1.el6.x86_64                                                                                                5/14
      Updating   : pcre-devel-8.35-1.el6.x86_64                                                                                                              6/14
      Updating   : 1:openssl-devel-1.0.1i-1.el6.x86_64                                                                                                       7/14
      Installing : libpcre-8.21-1.el6.x86_64                                                                                                                 8/14
      Cleanup    : 2:postfix-perl-scripts-2.6.6-6.el6_5.x86_64                                                                                               9/14
      Cleanup    : pcre-devel-7.8-6.el6.x86_64                                                                                                              10/14
      Cleanup    : openssl-devel-1.0.1e-16.el6_5.14.x86_64                                                                                                  11/14
      Cleanup    : 2:postfix-2.6.6-6.el6_5.x86_64                                                                                                           12/14
      Erasing    : openssl-1.0.1e-16.el6_5.14.x86_64                                                                                                        13/14
      Cleanup    : pcre-7.8-6.el6.x86_64                                                                                                                    14/14
      Verifying  : 1:openssl-devel-1.0.1i-1.el6.x86_64                                                                                                       1/14
      Verifying  : 1:openssl-libs-1.0.1i-1.el6.x86_64                                                                                                        2/14
      Verifying  : postgresql-libs-8.4.20-1.el6_5.x86_64                                                                                                     3/14
      Verifying  : 2:postfix-2.11.1-1.el6.x86_64                                                                                                             4/14
      Verifying  : libpcre-8.21-1.el6.x86_64                                                                                                                 5/14
      Verifying  : pcre-8.35-1.el6.x86_64                                                                                                                    6/14
      Verifying  : pcre-devel-8.35-1.el6.x86_64                                                                                                              7/14
      Verifying  : 2:postfix-perl-scripts-2.11.1-1.el6.x86_64                                                                                                8/14
      Verifying  : 2:postfix-perl-scripts-2.6.6-6.el6_5.x86_64                                                                                               9/14
      Verifying  : pcre-devel-7.8-6.el6.x86_64                                                                                                              10/14
      Verifying  : 2:postfix-2.6.6-6.el6_5.x86_64                                                                                                           11/14
      Verifying  : openssl-1.0.1e-16.el6_5.14.x86_64                                                                                                        12/14
      Verifying  : pcre-7.8-6.el6.x86_64                                                                                                                    13/14
      Verifying  : openssl-devel-1.0.1e-16.el6_5.14.x86_64                                                                                                  14/14
    
    Installed:
      openssl-libs.x86_64 1:1.0.1i-1.el6                                                                                                                        
    
    Dependency Installed:
      libpcre.x86_64 0:8.21-1.el6                                             postgresql-libs.x86_64 0:8.4.20-1.el6_5                                          
    
    Dependency Updated:
      openssl-devel.x86_64 1:1.0.1i-1.el6               pcre.x86_64 0:8.35-1.el6        pcre-devel.x86_64 0:8.35-1.el6        postfix.x86_64 2:2.11.1-1.el6     
      postfix-perl-scripts.x86_64 2:2.11.1-1.el6     
    
    Replaced:
      openssl.x86_64 0:1.0.1e-16.el6_5.14                                                                                                                       
    
    Complete!
    shows as installed but let's check nope not installed
    Code:
    yum -q list openssl --enablerepo=axivo --disableplugin=priorities
    Available Packages
    openssl.x86_64                                                              1:1.0.1i-1.el6                                                               axivo
    
    openssl version -a
    -bash: openssl: command not found
    
    rpm -qa | grep openssl
    openssl-libs-1.0.1i-1.el6.x86_64
    openssl-devel-1.0.1i-1.el6.x86_64
    
     
  17. Floren

    Floren Active Member

    148
    76
    28
    Jun 6, 2014
    Ratings:
    +76
    Local Time:
    4:23 AM
    @eva2000, IMO the proper way is to use update, not install.
    As I mentioned in this update, disablepriorities might be culprit. I know that technically you can use install, but is just against logic.:)
    Code:
           install
                  Is  used  to  install  the  latest version of a package or group of packages while
                  ensuring that all dependencies are satisfied.  (See Specifying package  names  for
                  more  information)  If  no  package  matches  the  given package name(s), they are
                  assumed to be a shell glob and any matches are then installed. If the name  starts
                  with  an @ character the rest of the name is used as though passed to the groupin-
                  stall command. If the name starts with a - character, then a search is done within
                  the  transaction  and any matches are removed. If the name is a file, then install
                  works like localinstall. If the name doesn\u2019t match a package, then  package  "pro-
                  vides"  are  searched  (e.g.  "_sqlitecache.so()(64bit)")  as  are  filelists (Eg.
                  "/usr/bin/yum"). Also note that for filelists, wildcards will match multiple pack-
                  ages.
    
           update If run without any packages, update will update every currently installed package.
                  If one or more packages or package globs are specified, Yum will only  update  the
                  listed  packages.   While updating packages, yum will ensure that all dependencies
                  are satisfied. (See Specifying package names for more information) If the packages
                  or globs specified match to packages which are not currently installed then update
                  will not install them. update operates on groups, files,  provides  and  filelists
                  just like the "install" command.
    
                  If  the  main obsoletes configure option is true (default) or the --obsoletes flag
                  is present yum will include package obsoletes in its calculations - this makes  it
                  better  for  distro-version  changes, for example: upgrading from somelinux 8.0 to
                  somelinux 9.
    
                  Note that "update" works on installed packages first, and only  if  there  are  no
                  matches  does  it  look  for available packages. The difference is most noticeable
                  when you do "update foo-1-2" which will act exactly as "update foo" if foo-1-2  is
                  installed.  You can use the "update-to" if you\u2019d prefer that nothing happen in the
                  above case.
    Why you broke the rich CODE tag? Fix it now! :D
     
    Last edited: Aug 8, 2014
  18. eva2000

    eva2000 Administrator Staff Member

    29,022
    6,586
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,776
    Local Time:
    6:23 PM
    Nginx 1.13.x
    MariaDB 5.5
    Well I don't have any problems with other 3rd party YUM repo packages with update command i.e. for redis, varnish, etc. But as I said for my target audience for Centmin Mod where several 3rd party YUM repos including Axivo are installed, priorities is in place to protect the base/core packages as my target audience with their average level of system admin knowledge, are more likely to screw up their system with a non-priorities protected yum update, then with the priorities system in place :).

    rich code tag seems to be missing from Digitalpoint's syntax highlighter addon heh

    with yum priorities removed and disabled still update doesn't work

    Code:
    yum -y --enablerepo=axivo --disableplugin=priorities list openssl
    Loaded plugins: downloadonly, fastestmirror
    No plugin match for: priorities
    Loading mirror speeds from cached hostfile
    * base: mirror.ventraip.net.au
    * epel: mirror.web24.net.au
    * extras: mirror.ventraip.net.au
    * rpmforge: mirror.ventraip.net.au
    * updates: mirror.ventraip.net.au
    Available Packages
    openssl.x86_64                                                              1:1.0.1i-1.el6                                                               axivo
    
    Code:
    yum -y --enablerepo=axivo --disableplugin=priorities update openssl
    Loaded plugins: downloadonly, fastestmirror
    No plugin match for: priorities
    Loading mirror speeds from cached hostfile
    * base: mirror.ventraip.net.au
    * epel: mirror.web24.net.au
    * extras: mirror.ventraip.net.au
    * rpmforge: mirror.ventraip.net.au
    * updates: mirror.ventraip.net.au
    Setting up Update Process
    Package(s) openssl available, but not installed.
    No Packages marked for Update
    
    Code:
    yum -y --enablerepo=axivo update openssl                        
    Loaded plugins: downloadonly, fastestmirror
    Loading mirror speeds from cached hostfile
    * base: mirror.ventraip.net.au
    * epel: mirror.web24.net.au
    * extras: mirror.ventraip.net.au
    * rpmforge: mirror.ventraip.net.au
    * updates: mirror.ventraip.net.au
    Setting up Update Process
    Package(s) openssl available, but not installed.
    No Packages marked for Update
    let's try other updates and see

    yum priorities disabled/removed see re2c from rpmforge
    Code:
    yum list updates -q
    Updated Packages
    MariaDB-client.x86_64                                                      5.5.39-1.el6                                                               mariadb
    MariaDB-common.x86_64                                                      5.5.39-1.el6                                                               mariadb
    MariaDB-compat.x86_64                                                      5.5.39-1.el6                                                               mariadb
    MariaDB-devel.x86_64                                                       5.5.39-1.el6                                                               mariadb
    MariaDB-server.x86_64                                                      5.5.39-1.el6                                                               mariadb
    MariaDB-shared.x86_64                                                      5.5.39-1.el6                                                               mariadb
    ca-certificates.noarch                                                     2014.1.98-65.0.el6_5                                                       updates
    cups-libs.x86_64                                                           1:1.4.2-52.el6_5.2                                                         updates
    e2fsprogs.x86_64                                                           1.41.12-18.el6_5.1                                                         updates
    e2fsprogs-devel.x86_64                                                     1.41.12-18.el6_5.1                                                         updates
    e2fsprogs-libs.x86_64                                                      1.41.12-18.el6_5.1                                                         updates
    grub.x86_64                                                                1:0.97-84.el6_5                                                            updates
    initscripts.x86_64                                                         9.03.40-2.el6.centos.3                                                     updates
    kernel.x86_64                                                              2.6.32-431.23.3.el6                                                        updates
    kernel-devel.x86_64                                                        2.6.32-431.23.3.el6                                                        updates
    kernel-firmware.noarch                                                     2.6.32-431.23.3.el6                                                        updates
    kernel-headers.x86_64                                                      2.6.32-431.23.3.el6                                                        updates
    libcom_err.x86_64                                                          1.41.12-18.el6_5.1                                                         updates
    libcom_err-devel.x86_64                                                    1.41.12-18.el6_5.1                                                         updates
    libss.x86_64                                                               1.41.12-18.el6_5.1                                                         updates
    nspr.x86_64                                                                4.10.6-1.el6_5                                                             updates
    nss.x86_64                                                                 3.16.1-4.el6_5                                                             updates
    nss-sysinit.x86_64                                                         3.16.1-4.el6_5                                                             updates
    nss-tools.x86_64                                                           3.16.1-4.el6_5                                                             updates
    nss-util.x86_64                                                            3.16.1-1.el6_5                                                             updates
    re2c.x86_64                                                                0.13.5-1.el6.rf                                                            rpmforge
    yum priorities installed see priorities protection doesn't list re2c

    Code:
    1566 packages excluded due to repository priority protections
    Code:
    yum list updates
    Loaded plugins: downloadonly, fastestmirror, priorities
    Loading mirror speeds from cached hostfile
    * base: mirror.ventraip.net.au
    * epel: mirror.web24.net.au
    * extras: mirror.ventraip.net.au
    * rpmforge: mirror.ventraip.net.au
    * updates: mirror.ventraip.net.au
    1566 packages excluded due to repository priority protections
    Updated Packages
    MariaDB-client.x86_64                                                       5.5.39-1.el6                                                               mariadb
    MariaDB-common.x86_64                                                       5.5.39-1.el6                                                               mariadb
    MariaDB-compat.x86_64                                                       5.5.39-1.el6                                                               mariadb
    MariaDB-devel.x86_64                                                        5.5.39-1.el6                                                               mariadb
    MariaDB-server.x86_64                                                       5.5.39-1.el6                                                               mariadb
    MariaDB-shared.x86_64                                                       5.5.39-1.el6                                                               mariadb
    ca-certificates.noarch                                                      2014.1.98-65.0.el6_5                                                       updates
    cups-libs.x86_64                                                            1:1.4.2-52.el6_5.2                                                         updates
    e2fsprogs.x86_64                                                            1.41.12-18.el6_5.1                                                         updates
    e2fsprogs-devel.x86_64                                                      1.41.12-18.el6_5.1                                                         updates
    e2fsprogs-libs.x86_64                                                       1.41.12-18.el6_5.1                                                         updates
    grub.x86_64                                                                 1:0.97-84.el6_5                                                            updates
    initscripts.x86_64                                                          9.03.40-2.el6.centos.3                                                     updates
    kernel.x86_64                                                               2.6.32-431.23.3.el6                                                        updates
    kernel-devel.x86_64                                                         2.6.32-431.23.3.el6                                                        updates
    kernel-firmware.noarch                                                      2.6.32-431.23.3.el6                                                        updates
    kernel-headers.x86_64                                                       2.6.32-431.23.3.el6                                                        updates
    libcom_err.x86_64                                                           1.41.12-18.el6_5.1                                                         updates
    libcom_err-devel.x86_64                                                     1.41.12-18.el6_5.1                                                         updates
    libss.x86_64                                                                1.41.12-18.el6_5.1                                                         updates
    nspr.x86_64                                                                 4.10.6-1.el6_5                                                             updates
    nss.x86_64                                                                  3.16.1-4.el6_5                                                             updates
    nss-sysinit.x86_64                                                          3.16.1-4.el6_5                                                             updates
    nss-tools.x86_64                                                            3.16.1-4.el6_5                                                             updates
    nss-util.x86_64                                                             3.16.1-1.el6_5                                                             updates
    now try yum priorities enabled and passing --disableplugin=priorities on cmd line and updating re2c, works fine here :)
    Code:
    yum -y --disableplugin=priorities update re2c
    Loaded plugins: downloadonly, fastestmirror
    Loading mirror speeds from cached hostfile
    * base: mirror.ventraip.net.au
    * epel: mirror.web24.net.au
    * extras: mirror.ventraip.net.au
    * rpmforge: mirror.ventraip.net.au
    * updates: mirror.ventraip.net.au
    Setting up Update Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package re2c.x86_64 0:0.13.5-1.el6 will be updated
    ---> Package re2c.x86_64 0:0.13.5-1.el6.rf will be an update
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ==============================================================================================================================================================
    Package                          Arch                               Version                                       Repository                            Size
    ==============================================================================================================================================================
    Updating:
    re2c                             x86_64                             0.13.5-1.el6.rf                               rpmforge                             210 k
    
    Transaction Summary
    ==============================================================================================================================================================
    Upgrade       1 Package(s)
    
    Total download size: 210 k
    Downloading Packages:
    re2c-0.13.5-1.el6.rf.x86_64.rpm                                                                                                        | 210 kB     00:00  
    Running rpm_check_debug
    Running Transaction Test
    Transaction Test Succeeded
    Running Transaction
      Updating   : re2c-0.13.5-1.el6.rf.x86_64                                                                                                                1/2
      Cleanup    : re2c-0.13.5-1.el6.x86_64                                                                                                                   2/2
      Verifying  : re2c-0.13.5-1.el6.rf.x86_64                                                                                                                1/2
      Verifying  : re2c-0.13.5-1.el6.x86_64                                                                                                                   2/2
    
    Updated:
      re2c.x86_64 0:0.13.5-1.el6.rf                                                                                                                            
    
    Complete!
    
    double check and update fine for re2c package
    Code:
    yum -y --disableplugin=priorities list re2c
    Loaded plugins: downloadonly, fastestmirror
    Loading mirror speeds from cached hostfile
    * base: mirror.ventraip.net.au
    * epel: mirror.web24.net.au
    * extras: mirror.ventraip.net.au
    * rpmforge: mirror.ventraip.net.au
    * updates: mirror.ventraip.net.au
    Installed Packages
    re2c.x86_64                                                             0.13.5-1.el6.rf                                                              @rpmforge
    now try with re2c available in Axivo repo and yum priorities + update

    and yes that installs fine, so the problem is only with Axivo OpenSSL update command

    Code:
     yum -y --enablerepo=axivo --disableplugin=priorities list re2c
    Loaded plugins: downloadonly, fastestmirror
    Loading mirror speeds from cached hostfile
    * base: mirror.ventraip.net.au
    * epel: mirror.web24.net.au
    * extras: mirror.ventraip.net.au
    * rpmforge: mirror.ventraip.net.au
    * updates: mirror.ventraip.net.au
    Installed Packages
    re2c.x86_64                                                             0.13.5-1.el6.rf                                                              @rpmforge
    Available Packages
    re2c.x86_64                                                             0.13.6-1.el6                                                                 axivo  
    
    update works
    Code:
    yum -y --enablerepo=axivo --disableplugin=priorities update re2c
    Loaded plugins: downloadonly, fastestmirror
    Loading mirror speeds from cached hostfile
    * base: mirror.ventraip.net.au
    * epel: mirror.web24.net.au
    * extras: mirror.ventraip.net.au
    * rpmforge: mirror.ventraip.net.au
    * updates: mirror.ventraip.net.au
    Setting up Update Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package re2c.x86_64 0:0.13.5-1.el6.rf will be updated
    ---> Package re2c.x86_64 0:0.13.6-1.el6 will be an update
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ==============================================================================================================================================================
    Package                            Arch                                 Version                                    Repository                           Size
    ==============================================================================================================================================================
    Updating:
    re2c                               x86_64                               0.13.6-1.el6                               axivo                               127 k
    
    Transaction Summary
    ==============================================================================================================================================================
    Upgrade       1 Package(s)
    
    Total download size: 127 k
    Downloading Packages:
    re2c-0.13.6-1.el6.x86_64.rpm                                                                                                           | 127 kB     00:01   
    Running rpm_check_debug
    Running Transaction Test
    Transaction Test Succeeded
    Running Transaction
      Updating   : re2c-0.13.6-1.el6.x86_64                                                                                                                   1/2
      Cleanup    : re2c-0.13.5-1.el6.rf.x86_64                                                                                                                2/2
      Verifying  : re2c-0.13.6-1.el6.x86_64                                                                                                                   1/2
      Verifying  : re2c-0.13.5-1.el6.rf.x86_64                                                                                                                2/2
    
    Updated:
      re2c.x86_64 0:0.13.6-1.el6                                                                                                                                
    
    Complete!
    
    Double check and Axivo update command works for re2c
    Code:
    yum -y --enablerepo=axivo --disableplugin=priorities list re2c
    Loaded plugins: downloadonly, fastestmirror
    Loading mirror speeds from cached hostfile
    * base: mirror.ventraip.net.au
    * epel: mirror.web24.net.au
    * extras: mirror.ventraip.net.au
    * rpmforge: mirror.ventraip.net.au
    * updates: mirror.ventraip.net.au
    Installed Packages
    re2c.x86_64                                                                0.13.6-1.el6                                                                 @axivo
    
     
    Last edited: Aug 8, 2014
  19. Floren

    Floren Active Member

    148
    76
    28
    Jun 6, 2014
    Ratings:
    +76
    Local Time:
    4:23 AM
    Sorry, I do enjoy the company of a beautiful woman occasionally... instead of working on updating a zillion patches for OpenSSL. :D
     
  20. eva2000

    eva2000 Administrator Staff Member

    29,022
    6,586
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,776
    Local Time:
    6:23 PM
    Nginx 1.13.x
    MariaDB 5.5
    Probably why I am not compiling my own RPMs and maintaining my own YUM repo heh :D

    Now imagine if next OpenSSL update has 50 patches :LOL:
     
    • Like Like x 1